Last modified: 2013-07-30 00:10:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40372 - the iframe with the Creative Commons license shows partial translations
the iframe with the Creative Commons license shows partial translations
Status: NEW
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.21.x
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-09-19 23:50 UTC by Amir E. Aharoni
Modified: 2013-07-30 00:10 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-09-19 23:50:33 UTC
In the license selection screen in the installer, there's an <iframe> that shows a form loaded from creativecommons.org. In Hebrew the translation is partial and the RTL display is broken. I didn't investigate it deeply, but I guess that it must be fixed upstream on their site. Do we have contacts there?
Comment 1 Brion Vibber 2012-09-20 21:30:34 UTC
Back in the day when we added it first, I think the place to go was the cc-metadata list: http://lists.ibiblio.org/mailman/listinfo/cc-metadata

It doesn't look very active now so I don't know if anybody will get requests there; might try writing to Mike Linksvayer directly and see if there's a modern point person to talk to.
Comment 2 Brion Vibber 2012-09-20 21:39:02 UTC
Email Mike, CC'd you.
Comment 3 Nathan Kinkade 2012-09-26 22:30:20 UTC
A fix for this issue has been pushed to a development instance of the CC Partner Interface.  There are still some strings which need to translated (for Hebrew, at least):

https://www.transifex.com/projects/p/CC/resource/deeds-choosers/l/he/view/

... but hopefully the issue with the text direction should be resolved.  If someone can confirm that the issue seems to be resolved, notwithstanding the translations, let us know and we'll push the fix live.
Comment 4 Nathan Kinkade 2012-09-26 22:31:07 UTC
Sorry, I forgot to post the link for the development instance:

http://staging.creativecommons.org/choose/?lang=he&partner=MediaWiki
Comment 5 Amir E. Aharoni 2012-09-26 22:33:02 UTC
Aha, the direction looks better now in Hebrew, Arabic (ar) and Persian (fa). Urdu (ur) is still left-to-right, but it doesn't seem to have any translations.

I already started completing the Hebrew translation in transifex.
Comment 6 Amir E. Aharoni 2012-09-26 22:33:33 UTC
Forgot an important thing: Thank you for fixing the direction!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links